io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.ConnectBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.ConnectBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.ConnectBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`MqttConnectMessage` `build()`
`MqttMessageBuilders.ConnectBuilder` `cleanSession(boolean cleanSession)`
`MqttMessageBuilders.ConnectBuilder` `clientId(String clientId)`
`MqttMessageBuilders.ConnectBuilder` `hasPassword(boolean value)`
`MqttMessageBuilders.ConnectBuilder` `hasUser(boolean value)`
`MqttMessageBuilders.ConnectBuilder` `keepAlive(int keepAliveSecs)`
`MqttMessageBuilders.ConnectBuilder` `password(byte[] password)`
`MqttMessageBuilders.ConnectBuilder` `password(String password)` Deprecated. use `password(byte[])` instead
`MqttMessageBuilders.ConnectBuilder` `properties(MqttProperties properties)`
`MqttMessageBuilders.ConnectBuilder` `protocolVersion(MqttVersion version)`
`MqttMessageBuilders.ConnectBuilder` `username(String username)`
`MqttMessageBuilders.ConnectBuilder` `willFlag(boolean willFlag)`
`MqttMessageBuilders.ConnectBuilder` `willMessage(byte[] willMessage)`
`MqttMessageBuilders.ConnectBuilder` `willMessage(String willMessage)` Deprecated. use `willMessage(byte[])` instead
`MqttMessageBuilders.ConnectBuilder` `willProperties(MqttProperties willProperties)`
`MqttMessageBuilders.ConnectBuilder` `willQoS(MqttQoS willQos)`
`MqttMessageBuilders.ConnectBuilder` `willRetain(boolean willRetain)`
`MqttMessageBuilders.ConnectBuilder` `willTopic(String willTopic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### protocolVersion

    public MqttMessageBuilders.ConnectBuilder protocolVersion(MqttVersion version)

#### clientId

    public MqttMessageBuilders.ConnectBuilder clientId(String clientId)

#### cleanSession

    public MqttMessageBuilders.ConnectBuilder cleanSession(boolean cleanSession)

#### keepAlive

    public MqttMessageBuilders.ConnectBuilder keepAlive(int keepAliveSecs)

#### willFlag

    public MqttMessageBuilders.ConnectBuilder willFlag(boolean willFlag)

#### willQoS

    public MqttMessageBuilders.ConnectBuilder willQoS(MqttQoS willQos)

#### willTopic

    public MqttMessageBuilders.ConnectBuilder willTopic(String willTopic)

#### willMessage

    @Deprecated
    public MqttMessageBuilders.ConnectBuilder willMessage(String willMessage)

Deprecated. use `willMessage(byte[])` instead

#### willMessage

    public MqttMessageBuilders.ConnectBuilder willMessage(byte[] willMessage)

#### willRetain

    public MqttMessageBuilders.ConnectBuilder willRetain(boolean willRetain)

#### willProperties

    public MqttMessageBuilders.ConnectBuilder willProperties(MqttProperties willProperties)

#### hasUser

    public MqttMessageBuilders.ConnectBuilder hasUser(boolean value)

#### hasPassword

    public MqttMessageBuilders.ConnectBuilder hasPassword(boolean value)

#### username

    public MqttMessageBuilders.ConnectBuilder username(String username)

#### password

    @Deprecated
    public MqttMessageBuilders.ConnectBuilder password(String password)

Deprecated. use `password(byte[])` instead

#### password

    public MqttMessageBuilders.ConnectBuilder password(byte[] password)

#### properties

    public MqttMessageBuilders.ConnectBuilder properties(MqttProperties properties)

#### build

    public MqttConnectMessage build()